# Source Generated with Decompyle++
# File: in.pyc (Python 2.7)

""" Python Character Mapping Codec mac_croatian generated from 'MAPPINGS/VENDORS/APPLE/CROATIAN.TXT' with gencodec.py.

"""
import codecs

class Codec(codecs.Codec):
    
    def encode(self, input, errors = 'strict'):
        return codecs.charmap_encode(input, errors, encoding_table)

    
    def decode(self, input, errors = 'strict'):
        return codecs.charmap_decode(input, errors, decoding_table)



class IncrementalEncoder(codecs.IncrementalEncoder):
    
    def encode(self, input, final = False):
        return codecs.charmap_encode(input, self.errors, encoding_table)[0]



class IncrementalDecoder(codecs.IncrementalDecoder):
    
    def decode(self, input, final = False):
        return codecs.charmap_decode(input, self.errors, decoding_table)[0]



class StreamWriter(Codec, codecs.StreamWriter):
    pass


class StreamReader(Codec, codecs.StreamReader):
    pass


def getregentry():
    return codecs.CodecInfo(name = 'mac-croatian', encode = Codec().encode, decode = Codec().decode, incrementalencoder = IncrementalEncoder, incrementaldecoder = IncrementalDecoder, streamreader = StreamReader, streamwriter = StreamWriter)

decoding_table = u'\x00\x01\x02\x03\x04\x05\x06\x07\x08\t\n\x0b\x0c\r\x0e\x0f\x10\x11\x12\x13\x14\x15\x16\x17\x18\x19\x1a\x1b\x1c\x1d\x1e\x1f !"#$%&\'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\\]^_`abcdefghijklmnopqrstuvwxyz{|}~\x7f\xc3\x84\xc3\x85\xc3\x87\xc3\x89\xc3\x91\xc3\x96\xc3\x9c\xc3\xa1\xc3\xa0\xc3\xa2\xc3\xa4\xc3\xa3\xc3\xa5\xc3\xa7\xc3\xa9\xc3\xa8\xc3\xaa\xc3\xab\xc3\xad\xc3\xac\xc3\xae\xc3\xaf\xc3\xb1\xc3\xb3\xc3\xb2\xc3\xb4\xc3\xb6\xc3\xb5\xc3\xba\xc3\xb9\xc3\xbb\xc3\xbc\xe2\x80\xa0\xc2\xb0\xc2\xa2\xc2\xa3\xc2\xa7\xe2\x80\xa2\xc2\xb6\xc3\x9f\xc2\xae\xc5\xa0\xe2\x84\xa2\xc2\xb4\xc2\xa8\xe2\x89\xa0\xc5\xbd\xc3\x98\xe2\x88\x9e\xc2\xb1\xe2\x89\xa4\xe2\x89\xa5\xe2\x88\x86\xc2\xb5\xe2\x88\x82\xe2\x88\x91\xe2\x88\x8f\xc5\xa1\xe2\x88\xab\xc2\xaa\xc2\xba\xce\xa9\xc5\xbe\xc3\xb8\xc2\xbf\xc2\xa1\xc2\xac\xe2\x88\x9a\xc6\x92\xe2\x89\x88\xc4\x86\xc2\xab\xc4\x8c\xe2\x80\xa6\xc2\xa0\xc3\x80\xc3\x83\xc3\x95\xc5\x92\xc5\x93\xc4\x90\xe2\x80\x94\xe2\x80\x9c\xe2\x80\x9d\xe2\x80\x98\xe2\x80\x99\xc3\xb7\xe2\x97\x8a\xef\xa3\xbf\xc2\xa9\xe2\x81\x84\xe2\x82\xac\xe2\x80\xb9\xe2\x80\xba\xc3\x86\xc2\xbb\xe2\x80\x93\xc2\xb7\xe2\x80\x9a\xe2\x80\x9e\xe2\x80\xb0\xc3\x82\xc4\x87\xc3\x81\xc4\x8d\xc3\x88\xc3\x8d\xc3\x8e\xc3\x8f\xc3\x8c\xc3\x93\xc3\x94\xc4\x91\xc3\x92\xc3\x9a\xc3\x9b\xc3\x99\xc4\xb1\xcb\x86\xcb\x9c\xc2\xaf\xcf\x80\xc3\x8b\xcb\x9a\xc2\xb8\xc3\x8a\xc3\xa6\xcb\x87'
encoding_table = codecs.charmap_build(decoding_table)
